<?php
/**
 * $Horde: ingo/index.php,v 1.8.2.2 2005/01/03 11:25:53 jan Exp $
 *
 * Copyright 2002-2005 Mike Cochrane <mike@graftonhall.co.nz>
 *
 * See the enclosed file LICENSE for license information. If you
 * did not receive this file, see http://www.horde.org/licenses.
 */

define('INGO_BASE', dirname(__FILE__));
$is_configured = (@is_readable(INGO_BASE . '/config/conf.php') &&
                  @is_readable(INGO_BASE . '/config/prefs.php') &&
                  @is_readable(INGO_BASE . '/config/backends.php') &&
                  @is_readable(INGO_BASE . '/config/tests.php'));

if ($is_configured) {
    require_once INGO_BASE . '/lib/base.php';
    if (!$prefs->getValue('show_rules')) {
        require INGO_BASE . '/blacklist.php';
    } else {
        require INGO_BASE . '/filters.php';
    }
} else {
    require INGO_BASE . '/templates/index/notconfigured.inc';
}
