<?php
/**
 * $Horde: ingo/whitelist.php,v 1.2.2.2 2005/01/03 11:25:54 jan Exp $
 *
 * Copyright 2003-2005 Brent J. Nordquist <bjn@horde.org>
 * Copyright 2002-2005 Mike Cochrane <mike@graftonhall.co.nz>
 *
 * See the enclosed file LICENSE for license information. If you
 * did not receive this file, see http://www.horde.org/licenses.
 */

@define('INGO_BASE', dirname(__FILE__));
require_once INGO_BASE . '/lib/base.php';

$actionID = Horde::getFormData('actionID');
switch ($actionID) {
case INGO_RULE_UPDATE:
    $new_whitelist = trim(Horde::getFormData('whitelist'));
    $new_whitelist = preg_split("/\s+/", $new_whitelist);
    if (!$ingo['storage']->store('whitelist', $new_whitelist)) {
        $notification->push("Error saving changes.", 'horde.error');
    } else {
        $notification->push(_("Changes saved."), 'horde.success');
    }

    if ($prefs->getValue('auto_update')) {
        /* This does its own $notification->push() on error: */
        Ingo::updateScript();
    }
    break;
}

$whitelist_addresses = $ingo['storage']->retrieve('whitelist');

require INGO_TEMPLATES . '/common-header.inc';
include INGO_BASE . '/menu.php';
$notification->notify();
require INGO_TEMPLATES . '/whitelist/whitelist.inc';
require INGO_TEMPLATES . '/common-footer.inc';
